* { box-sizing: border-box; }
body { height: calc(100vh - 1rem); text-align: center; }

#poney { background-color: tan; order: 2;}
#fox { background-color: orangered; order: -1;}
#pet { order: 1; }
#dog { background-color: chocolate; }
#cat { background-color: peru; }
#platypus { background-color: sienna; }
#cat, #dog, #platypus { margin: 1rem; padding: 1rem; }

.flex-column-wrap { display: flex; flex-flow: column wrap;}
.flex-row { display: flex; }
.flex-auto { flex: auto; }
.flex-1-1-15 {flex : 1 1 15rem;}
.flex-1-3-15 {flex : 1 3 15rem;}
.flex-7-1-15 {flex : 7 1 15rem;}
